Bug 179322 - Badness in vsnprintf at lib/vsprintf.c:279 (Not tainted)
Badness in vsnprintf at lib/vsprintf.c:279 (Not tainted)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 05:24 EST by Trond Eivind Glomsrød
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-22 07:13:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrød 2006-01-30 05:24:14 EST
This happened when booting Linux pc-32 2.6.15-1.1881_FC5  on a Dell Inspiron 500m:

usb 2-1: new low speed USB device using uhci_hcd and address 2
usb 2-1: configuration #1 chosen from 1 choice
input: Logitech USB Receiver as /class/input/input3
input: USB HID v1.10 Keyboard [Logitech USB Receiver] on usb-0000:00:1d.1-1
Badness in vsnprintf at lib/vsprintf.c:279 (Not tainted)
 [<c01c4b41>] vsnprintf+0x47/0x461     [<c01c4fd1>] snprintf+0x1c/0x1f
 [<c026f206>] print_modalias_bits+0x58/0x6d     [<c026f281>]
print_modalias+0x66/0x138
 [<c026fda3>] input_dev_uevent+0x31d/0x340     [<c026fa86>]
input_dev_uevent+0x0/0x340
 [<c0228b92>] class_uevent+0x155/0x15e     [<c0228a3d>] class_uevent+0x0/0x15e
 [<c01c2861>] kobject_uevent+0x1be/0x38d     [<c0229114>]
class_device_add+0x1be/0x26b
 [<c027057b>] input_register_device+0x127/0x258     [<c026d6e0>]
hidinput_connect+0x1b24/0x1b2e
 [<c026a537>] hid_probe+0xb44/0xcef     [<c015046d>]
cache_alloc_debugcheck_after+0xe3/0xea
 [<c02612b9>] usb_probe_interface+0x58/0x87     [<c02284f5>]
driver_probe_device+0x42/0x8b
 [<c022853e>] __device_attach+0x0/0x5     [<c0227f2c>] bus_for_each_drv+0x32/0x58
 [<c0228598>] device_attach+0x55/0x65     [<c022853e>] __device_attach+0x0/0x5
 [<c0227e51>] bus_add_device+0x27/0xd0     [<c0227410>] device_add+0xd0/0x12e
 [<c02607a5>] usb_set_configuration+0x334/0x398     [<c025c232>]
usb_new_device+0x1f6/0x24d
 [<c025d026>] hub_thread+0x67d/0x9e5     [<c012996b>]
autoremove_wake_function+0x0/0x2d
 [<c025c9a9>] hub_thread+0x0/0x9e5     [<c012988b>] kthread+0x91/0xbd
 [<c01297fa>] kthread+0x0/0xbd     [<c0101005>] kernel_thread_helper+0x5/0xb
input: Logitech USB Receiver as /class/input/input4
input: USB HID v1.10 Mouse [Logitech USB Receiver] on usb-0000:00:1d.1-1
Comment 1 Ivan Gyurdiev 2006-01-30 19:29:04 EST
Confirming this bug. My trace looks just a little bit different...

input: Logitech USB Receiver as /class/input/input1
input: USB HID v1.10 Keyboard [Logitech USB Receiver] on usb-0000:00:02.0-2
Badness in vsnprintf at lib/vsprintf.c:279 (Tainted: P     )

Call Trace: <ffffffff8020505d>{vsnprintf+92} <ffffffff802056af>{snprintf+68}
       <ffffffff8020231d>{add_uevent_var+125}
<ffffffff802bf498>{print_modalias_bits+110}
       <ffffffff802bf536>{print_modalias+134}
<ffffffff802c0272>{input_dev_uevent+961}
       <ffffffff80271cf0>{class_uevent+420} <ffffffff80202279>{kobject_get_path+142}
       <ffffffff80202538>{kobject_uevent+500}
<ffffffff801c0bb6>{sysfs_create_link+223}
       <ffffffff802723c0>{class_device_add+531}
<ffffffff802c0ca4>{input_register_device+329}
       <ffffffff80271fcd>{class_device_initialize+21}
<ffffffff802bd5ee>{hidinput_connect+7013}
       <ffffffff802ba25d>{hid_probe+2861} <ffffffff80198704>{inode_init_once+102}
       <ffffffff8017b0cc>{poison_obj+38}
<ffffffff8017b6f7>{cache_alloc_debugcheck_after+239}
       <ffffffff801bfc0c>{sysfs_new_dirent+27}
<ffffffff801bfc0c>{sysfs_new_dirent+27}
       <ffffffff802afdbf>{usb_probe_interface+108}
<ffffffff802714f1>{driver_probe_device+82}
       <ffffffff80271541>{__device_attach+0} <ffffffff80270def>{bus_for_each_drv+64}
       <ffffffff80196434>{dput+61} <ffffffff802715ad>{device_attach+103}
       <ffffffff80270ce7>{bus_add_device+49} <ffffffff8027006b>{device_add+234}
       <ffffffff802af0db>{usb_set_configuration+887}
<ffffffff802aa2d6>{usb_new_device+553}
       <ffffffff802ab2e5>{hub_thread+1867} <ffffffff803403e3>{_spin_unlock_irq+9}
       <ffffffff801464d6>{autoremove_wake_function+0}
<ffffffff802aab9a>{hub_thread+0}
       <ffffffff80146087>{keventd_create_kthread+0} <ffffffff8014639a>{kthread+254}
       <ffffffff8010ba42>{child_rip+8} <ffffffff80146087>{keventd_create_kthread+0}
       <ffffffff8033e257>{thread_return+0} <ffffffff8014629c>{kthread+0}
       <ffffffff8010ba3a>{child_rip+0}
input: Logitech USB Receiver as /class/input/input2
input: USB HID v1.10 Mouse [Logitech USB Receiver] on usb-0000:00:02.0-2
Comment 2 François Kooman 2006-02-02 03:12:51 EST
Still there in kernel-smp-2.6.15-1.1884_FC5:

input: Logitech Logitech USB Keyboard as /class/input/input1
input: USB HID v1.10 Keyboard [Logitech Logitech USB Keyboard] on usb-0000:00:13
.1-3
Badness in vsnprintf at lib/vsprintf.c:279 (Not tainted)
 [<c01d6611>] vsnprintf+0x47/0x461     [<c01d6aa1>] snprintf+0x1c/0x1f
 [<c02825ba>] print_modalias_bits+0x58/0x6d     [<c0282635>] print_modalias+0x66
/0x138
 [<c028315c>] input_dev_uevent+0x31d/0x340     [<c0282e3f>] input_dev_uevent+0x0
/0x340
 [<c023b8ae>] class_uevent+0x155/0x15e     [<c023b759>] class_uevent+0x0/0x15e
 [<c01d42b1>] kobject_uevent+0x1be/0x38d     [<c023be34>] class_device_add+0x1be
/0x26d
 [<c0283989>] input_register_device+0x129/0x25a     [<c0280a72>] hidinput_connec
t+0x1b92/0x1b9c
 [<c027d85e>] hid_probe+0xb73/0xd1e     [<c015faa4>] cache_alloc_debugcheck_afte
r+0xf2/0xf9
 [<c027447d>] usb_probe_interface+0x58/0x87     [<c023b205>] driver_probe_device
+0x42/0x8b
 [<c023b24e>] __device_attach+0x0/0x5     [<c023ac36>] bus_for_each_drv+0x32/0x5 8
 [<c023b2a9>] device_attach+0x56/0x67     [<c023b24e>] __device_attach+0x0/0x5
 [<c023ab5b>] bus_add_device+0x27/0xd0     [<c023a110>] device_add+0xd0/0x12e
 [<c0273965>] usb_set_configuration+0x334/0x398     [<c026f3b6>] usb_new_device+
0x1f7/0x24f
 [<c02701b5>] hub_thread+0x680/0x9eb     [<c0133faf>] autoremove_wake_function+0
x0/0x2d
 [<c026fb35>] hub_thread+0x0/0x9eb     [<c0133ecd>] kthread+0x9d/0xc9
 [<c0133e30>] kthread+0x0/0xc9     [<c0102005>] kernel_thread_helper+0x5/0xb
input: Logitech Logitech USB Keyboard as /class/input/input2
input: USB HID v1.10 Mouse [Logitech Logitech USB Keyboard] on usb-0000:00:13.1- 3
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00e018000076a5c6]
Comment 3 Trond Eivind Glomsrød 2006-02-22 07:13:50 EST
Gone in 2.6.15-1.1969_FC5

Note You need to log in before you can comment on or make changes to this bug.